defmodule Wild.BookReadsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Wild.BookReads` context.
  """

  @doc """
  Generate a book_read.
  """
  def book_read_fixture(attrs \\ %{}) do
    {:ok, book_read} =
      attrs
      |> Enum.into(%{
        progress: 42,
        rating: 42,
        read_finish: ~U[2025-01-08 10:31:00Z],
        read_start: ~U[2025-01-08 10:31:00Z],
        thoughts: "some thoughts"
      })
      |> Wild.BookReads.create_book_read()

    book_read
  end
end
